UndeployMessage (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.ha.deploy

## Class UndeployMessage

- java.lang.Object
- - org.apache.catalina.ha.deploy.UndeployMessage

- All Implemented Interfaces:
    Serializable, ClusterMessage

      public class UndeployMessage
      extends Object
      implements ClusterMessage

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndeployMessage(Member address, long timestamp, String uniqueId, String contextName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Member` | `getAddress()`
    `String` | `getContextName()`
    `long` | `getTimestamp()`
    `String` | `getUniqueId()`
    `void` | `setAddress(Member address)`
    `void` | `setTimestamp(long timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndeployMessage

          public UndeployMessage(Member address,
                                 long timestamp,
                                 String uniqueId,
                                 String contextName)

  - ### Method Detail

    - #### getAddress

          public Member getAddress()

      Specified by:
        `getAddress` in interface `ClusterMessage`

    - #### setAddress

          public void setAddress(Member address)

      Specified by:
        `setAddress` in interface `ClusterMessage`

    - #### getTimestamp

          public long getTimestamp()

      Specified by:
        `getTimestamp` in interface `ClusterMessage`

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Specified by:
        `setTimestamp` in interface `ClusterMessage`

    - #### getUniqueId

          public String getUniqueId()

      Specified by:
        `getUniqueId` in interface `ClusterMessage`

    - #### getContextName

          public String getContextName()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.